using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace YBDevice.Entity.DataModel.ThirdOpen
{
    /// <summary>
    /// 历史记录
    /// </summary>
    [SugarTable("T_Result", TableDescription = "历史记录", IsDisabledUpdateAll = false, IsDisabledDelete = true)]
    public class T_Result
    {
        /// <summary>
        /// 主键
        /// </summary>
        [SugarColumn(IsPrimaryKey = true)]
        public Guid Id { get; set; }

        /// <summary>
        /// 身高值,CM
        /// </summary>
        [SugarColumn(ColumnDescription = "身高值,CM", ColumnDataType = "decimal(18,2)")]
        public decimal Height { get; set; }
        /// <summary>
        /// 体重,CM
        /// </summary>
        [SugarColumn(ColumnDescription = "体重,CM", ColumnDataType = "decimal(18,2)")]
        public decimal Weight { get; set; }

        /// <summary>
        /// BMI值
        /// </summary>
        [SugarColumn(ColumnDescription = "BMI值", ColumnDataType = "decimal(18,2)")]
        public decimal BMI { get; set; }

        /// <summary>
        /// 家庭成员ID
        /// </summary>
        [SugarColumn(ColumnDescription = "家庭成员ID")]
        public Guid FamilyId { get; set; }

        /// <summary>
        /// 用户ID
        /// </summary>
        [SugarColumn(ColumnDescription = "用户ID")]
        public Guid UserId { get; set; }
        /// <summary>
        /// 测量时间
        /// </summary>
        [SugarColumn(ColumnDescription = "测量时间")]
        public DateTime ResultTime { get; set; }

        /// <summary>
        /// 记录时间
        /// </summary>
        [SugarColumn(ColumnDescription = "记录时间")]
        public DateTime CreateTime { get; set; }
    }
}
